
Redmine - Feature #1539

Plugins should be able to generate activity

2008-06-27 18:40 - Brian Terlson

Status: Closed Start date: 2008-06-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

Plugins should be able to hook into the activity page so the activity page can reflect recent activity in plugins as well.  Perhaps the

plugin could specify the name of the activity (to toggle on and off) and the model to search for, something like:

activity :status_updates, Status

Thanks!

History

#1 - 2008-07-02 12:08 - Mark Gallop

Can't you use the Journal and JournalDetail Redmine classes to create some "activity"?

Mark

#2 - 2008-07-02 12:14 - Jean-Philippe Lang

Brian is right. Any model should be able to provide events for the activity view.

#3 - 2008-07-27 21:53 - Jean-Philippe Lang

- Category set to Plugin API

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Implemented in r1701 and r1702.
